%global srcname hpilo
%global desc %{expand: \
HP iLO XML interface access from Python (Python 3)
This module will make it easy for you to access the Integrated Lights Out
management interface of your HP hardware. It supports RILOE II, iLO, iLO 2, iLO
3 and iLO 4. It uses the XML interface or hponcfg to access and change the iLO.}

Name:           python-%{srcname}
Version:        4.4.3
Release:    4%{?dist}
Summary:        Accessing the HP iLO XML interface from python

License:        ASL 2.0 or GPLv3+
URL:            https://github.com/seveas/python-hpilo
Source0:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-case
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description 
%{_desc}

%package     -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{desc}
%{desc}

%package        doc
Summary:        Documentation for %{name}

%description    doc
%{summary}.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

sphinx-build -b html docs html
rm -rf html/.{doctrees,buildinfo}
rm examples/elasticsearch/.gitignore

%install
%pyproject_install
%pyproject_save_files hpilo hpilo_fw

%check

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGES examples ilo.conf.example
%{_bindir}/hpilo_cli

%files doc
%license COPYING
%doc html

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 4.4.3-4
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 4.4.3-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 4.4.3-2
- Rebuilt for loongarch64

* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.3-1
- initial build
